$(function() {
	$('#datalabel').text($('#datatype').children(':selected').text());
	$('input.checkAll').click(function() {$(this).closest('table').find('input:checkbox[name=Ignore]').attr('checked', this.checked);});
	$('button.import').click(function() {
		var len1 = $('#dataFile').text().length;
		var len2 = $('#importFile').val().length;
		if ($('#datatype').children(':selected').text() !== $('#datalabel').text() || len2 < len1
				|| $('#importFile').val().substring(len2 - len1) !== $('#dataFile').text()) {
			alert('データタイプまたは、ファイル名が異なります。');
		} else {
			VIEW.submit.post('form', 'insert');
		}
	});
});
